package com.persagy.functions.weather.dto;

import java.util.Date;
import java.util.Map;

/**
 * 温度统计信息
 */
public class TempStatisticsDTO {

    private Double maxTemp;

    private Double minTemp;

    private Double avgTemp;
    
    private Map<Date, Double> monthTempMap;
    
    private Map<String, Double> buildingTempMap;

	public Double getMaxTemp() {
		return maxTemp;
	}

	public void setMaxTemp(Double maxTemp) {
		this.maxTemp = maxTemp;
	}

	public Double getMinTemp() {
		return minTemp;
	}

	public void setMinTemp(Double minTemp) {
		this.minTemp = minTemp;
	}

	public Double getAvgTemp() {
		return avgTemp;
	}

	public void setAvgTemp(Double avgTemp) {
		this.avgTemp = avgTemp;
	}

	public Map<Date, Double> getMonthTempMap() {
		return monthTempMap;
	}

	public void setMonthTempMap(Map<Date, Double> monthTempMap) {
		this.monthTempMap = monthTempMap;
	}

	public Map<String, Double> getBuildingTempMap() {
		return buildingTempMap;
	}

	public void setBuildingTempMap(Map<String, Double> buildingTempMap) {
		this.buildingTempMap = buildingTempMap;
	}
	
}
